@charset "UTF-8";

#newsWrap{
    background: var(--colorW);
    box-shadow: 5px 5px 10px 0 #ccc;
    margin: 0 auto 5%;
    padding: 20px 30px;

    ul{
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        margin: 2% auto 2%;

        li.up_ymd{
            width: 15%;
            padding: 0 0 10px;
        }
        li.title{
            display: flex;
            align-items: center;
            flex-grow: 1;
            padding: 0 0 10px;
            border-bottom: 1px solid var(--colorL);
            position: relative;

            span{
                border: 1px solid var(--colorL);
                font-size: var(--font-mini);
                height: fit-content;
                margin: 0 10px 0 0;
                padding: 0 10px;

                &.newMark{
                    border: none;
                    background: var(--colorR);
                    color:#fff;
                }
            }
        }
    }
}

#list{
    #newsWrap{
        ul{
            li.title{
                &:after{
                    content:"";
                    width: 0;
                    height: 0;
                    border-style: solid;
                    border-top: 5px solid transparent;
                    border-bottom: 5px solid transparent;
                    border-left: 10px solid var(--color01);
                    border-right: 0;
                    position: absolute;
                    top: 40%;
                    right: 0;
                    opacity: 0;
                    transform: translate(0,-50%);
                    transition: all ease 0.5s;
                }

                &:hover{
                    color: var(--color01);
                }
                &:hover:after{
                    opacity: 1;
                }
            }
        }
    }
}
#detail{
    .detailText{
        line-height: 1.8em;
        margin: 10px 0 30px;
    }
    .back{
        a{
            cursor: pointer;
            background: #ccc;
            border-radius: 0;    
            color: #000;
            font-size: 18px;
            text-align: center;
            display: block;
            max-width: 240px;
            width: 90%;
            margin: 3% auto 0;
            padding: 1% 0;            
        }
    }
}

@media all and (max-width:768px){
    main{
        .mainWrap{
            padding: 30px 0 50px;
        }
    }
    #newsWrap{
        ul{
            li.title{
                width: 100%;
            }
        }
    }
}